This page was not yet optimized for use on mobile devices.
HUAWEI MA5800 Software Management Component V100R020C10SPC301
Certificate details
| Status | active |
|---|---|
| Valid from | 09.12.2021 |
| Valid until | 09.12.2026 |
| Scheme | 🇳🇱 NL |
| Manufacturer | Huawei Technologies Co., Ltd. |
| Category | Other Devices and Systems |
| Security level | ALC_FLR.2, EAL4+ |
Certificate
Extracted keywords
Vendor
Huawei Technologies Co, HuaweiSecurity level
EAL4+, EAL2, EAL4Claims
R.LSecurity Assurance Requirements (SAR)
ALC_FLR.2, ALC_FLR.3Certificates
CC-21-0351844Evaluation facilities
SGS, SGS Brightsight, BrightsightCertification report
Extracted keywords
Symmetric Algorithms
AES, HMACProtocols
SSH, SSHv2Vendor
Huawei Technologies Co, HuaweiSecurity level
EAL4, EAL4+, EAL 4, EAL4 augmented, EAL 4 augmentedSecurity Assurance Requirements (SAR)
ALC_FLR.2Certificates
NSCIB-CC-0351844-CREvaluation facilities
SGS, SGS Brightsight, BrightsightSide-channel analysis
JILFrontpage
| Certificate ID | Huawei Industrial Base Bantian, Longgang, Shenzhen |
|---|---|
| Certified item | HUAWEI MA5800 Software Management Component V100R020C10SPC301 |
| Developer | Huawei Technologies Co., Ltd |
| Sponsor | Huawei Technologies Co., Ltd |
| Report version | 1 |
| Project number | 0351844 |
| Author | Andy Brown |
| Report date | 09 December 2021 |
Security target
Extracted keywords
Symmetric Algorithms
AES, HMACAsymmetric Algorithms
DH, Diffie-HellmanHash functions
SHA-256, SHA-512, SHA-2Schemes
Key exchange, Key ExchangeProtocols
SSHv2, SSH, IKE, VPNBlock cipher modes
GCMVendor
Huawei Technologies Co, HuaweiSecurity level
EAL4, EAL4 augmentedSecurity Assurance Requirements (SAR)
ALC_FLR.2Security Functional Requirements (SFR)
FAU_GEN.1, FAU_GEN.2, FAU_SAR.1, FAU_SAR.3, FAU_STG.1, FAU_STG.3, FAU_GEN.1.1, FAU_GEN.1.2, FAU_GEN.2.1, FAU_SAR.1.1, FAU_SAR.1.2, FAU_SAR.3.1, FAU_STG.1.1, FAU_STG.1.2, FAU_STG.3.1, FDP_ACC.1, FDP_ACF.1, FDP_IFC.1, FDP_IFF.1, FDP_ACC.1.1, FDP_ACF.1.1, FDP_ACF.1.2, FDP_ACF.1.3, FDP_ACF.1.4, FDP_IFC.1.1, FDP_IFF.1.1, FDP_IFF.1.2, FDP_IFF.1.3, FDP_IFF.1.4, FDP_IFF.1.5, FDP_ICF.1, FIA_AFL.1, FIA_ATD.1, FIA_UAU.1, FIA_UAU.5, FIA_UID.1, FIA_AFL.1.1, FIA_AFL.1.2, FIA_ATD.1.1, FIA_UAU.1.1, FIA_UAU.1.2, FIA_UAU.5.1, FIA_UAU.5.2, FIA_UID.1.1, FIA_UID.1.2, FMT_MOF.1, FMT_MSA, FMT_SMF.1, FMT_SMR.1, FMT_MOF.1.1, FMT_MSA.1, FMT_MSA.3, FMT_SMF.1.1, FMT_SMR.1.1, FMT_SMR.1.2, FPT_STM.1, FTA_SSL.3, FTA_TSE.1, FTA_TSE.1.1, FTP_TRP, FTP_TRP.1Evaluation facilities
BrightsightStandards
FIPS 180-4, FIPS PUB 180-4, FIPS 186-4, FIPS PUB 186-4, FIPS 197, FIPS PUB 197, FIPS 198-1, FIPS PUB 198-1, NIST SP 800-38A, NIST SP 800-38D, NIST SP 800-56A, PKCS#1, PKCS #1, PKCS#3, RFC4344, RFC 4251, RFC 4252, RFC 4253, RFC 4254, RFC 5647, RFC 6668, RFC8332, RFC 8332, RFC 2104, RFC 3526, RFC 3447Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.Certificate ID
NSCIB-CC-0351844-CRExtracted SARs
ALC_FLR.2Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.cc.CCCertificate",
"category": "Other Devices and Systems",
"cert_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/NSCIB%20certificate%20CC-21-0351844.pdf",
"dgst": "cea62051cc688ddb",
"heuristics": {
"_type": "sec_certs.sample.cc_eucc_common.Heuristics",
"annotated_references": null,
"cert_id": "NSCIB-CC-0351844-CR",
"cert_lab": null,
"cpe_matches": null,
"direct_transitive_cves": null,
"eal": "EAL4+",
"extracted_sars": {
"_type": "Set",
"elements": [
{
"_type": "sec_certs.sample.sar.SAR",
"family": "ALC_FLR",
"level": 2
}
]
},
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"next_certificates": null,
"prev_certificates": null,
"protection_profiles": null,
"related_cves": null,
"report_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"scheme_data": null,
"st_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"verified_cpe_matches": null
},
"maintenance_updates": {
"_type": "Set",
"elements": []
},
"manufacturer": "Huawei Technologies Co., Ltd.",
"manufacturer_web": "https://www.huawei.com",
"name": "HUAWEI MA5800 Software Management Component V100R020C10SPC301",
"not_valid_after": "2026-12-09",
"not_valid_before": "2021-12-09",
"pdf_data": {
"_type": "sec_certs.sample.cc_eucc_common.PdfData",
"cert_filename": "NSCIB certificate CC-21-0351844.pdf",
"cert_frontpage": null,
"cert_keywords": {
"asymmetric_crypto": {},
"cc_cert_id": {
"NL": {
"CC-21-0351844": 1
}
},
"cc_claims": {
"R": {
"R.L": 2
}
},
"cc_protection_profile_id": {},
"cc_sar": {
"ALC": {
"ALC_FLR.2": 1,
"ALC_FLR.3": 2
}
},
"cc_security_level": {
"EAL": {
"EAL2": 1,
"EAL4": 1,
"EAL4+": 1
}
},
"cc_sfr": {},
"certification_process": {},
"cipher_mode": {},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {},
"crypto_scheme": {},
"device_model": {},
"ecc_curve": {},
"eval_facility": {
"BrightSight": {
"Brightsight": 1
},
"SGS": {
"SGS": 1,
"SGS Brightsight": 1
}
},
"hash_function": {},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {},
"side_channel_analysis": {},
"standard_id": {
"ISO": {
"ISO/IEC 15408-1": 1,
"ISO/IEC 15408-2": 1,
"ISO/IEC 15408-3": 1,
"ISO/IEC 18045": 2
}
},
"symmetric_crypto": {},
"technical_report_id": {},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {
"Huawei": {
"Huawei": 1,
"Huawei Technologies Co": 1
}
},
"vulnerability": {}
},
"cert_metadata": {
"/CreationDate": "D:20211222112938+01\u002700\u0027",
"/Creator": "C458-M",
"/ModDate": "D:20211222111817+01\u002700\u0027",
"/Producer": "KONICA MINOLTA bizhub C458",
"/Title": "C458-M\u0026S21122211290",
"pdf_file_size_bytes": 73010,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 1
},
"report_filename": "NSCIB-CC-0351844-CR-1.0.pdf",
"report_frontpage": {
"NL": {
"author": "Andy Brown",
"cert_id": "Huawei Industrial Base Bantian, Longgang, Shenzhen",
"cert_item": "HUAWEI MA5800 Software Management Component V100R020C10SPC301",
"developer": "Huawei Technologies Co., Ltd",
"parse_strategy": "structured",
"project_number": "0351844",
"report_date": "09 December 2021",
"report_version": "1",
"sponsor": "Huawei Technologies Co., Ltd"
}
},
"report_keywords": {
"asymmetric_crypto": {},
"cc_cert_id": {
"NL": {
"NSCIB-CC-0351844-CR": 13
}
},
"cc_claims": {},
"cc_protection_profile_id": {},
"cc_sar": {
"ALC": {
"ALC_FLR.2": 2
}
},
"cc_security_level": {
"EAL": {
"EAL 4": 1,
"EAL 4 augmented": 1,
"EAL4": 2,
"EAL4 augmented": 1,
"EAL4+": 2
}
},
"cc_sfr": {},
"certification_process": {},
"cipher_mode": {},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"SSH": {
"SSH": 3,
"SSHv2": 2
}
},
"crypto_scheme": {},
"device_model": {},
"ecc_curve": {},
"eval_facility": {
"BrightSight": {
"Brightsight": 2
},
"SGS": {
"SGS": 2,
"SGS Brightsight": 2
}
},
"hash_function": {},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {},
"side_channel_analysis": {
"other": {
"JIL": 1
}
},
"standard_id": {},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 1
}
},
"constructions": {
"MAC": {
"HMAC": 1
}
}
},
"technical_report_id": {},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {
"Huawei": {
"Huawei": 6,
"Huawei Technologies Co": 3
}
},
"vulnerability": {}
},
"report_metadata": {
"/Author": "Microsoft Office User",
"/CreationDate": "D:20211220180154+00\u002700\u0027",
"/Creator": "Microsoft\u00ae Word 2010",
"/ModDate": "D:20211220180154+00\u002700\u0027",
"/Producer": "Microsoft\u00ae Word 2010",
"/Title": "Certification Report",
"pdf_file_size_bytes": 620484,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"http://www.commoncriteriaportal.org/",
"https://www.sogis.eu/",
"http://www.tuv.com/nl",
"mailto:[email protected]"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 13
},
"st_filename": "NSCIB-CC-0351844-ST.pdf",
"st_frontpage": null,
"st_keywords": {
"asymmetric_crypto": {
"FF": {
"DH": {
"DH": 1,
"Diffie-Hellman": 2
}
}
},
"cc_cert_id": {},
"cc_claims": {},
"cc_protection_profile_id": {},
"cc_sar": {
"ALC": {
"ALC_FLR.2": 5
}
},
"cc_security_level": {
"EAL": {
"EAL4": 3,
"EAL4 augmented": 2
}
},
"cc_sfr": {
"FAU": {
"FAU_GEN.1": 9,
"FAU_GEN.1.1": 1,
"FAU_GEN.1.2": 1,
"FAU_GEN.2": 6,
"FAU_GEN.2.1": 1,
"FAU_SAR.1": 7,
"FAU_SAR.1.1": 1,
"FAU_SAR.1.2": 1,
"FAU_SAR.3": 6,
"FAU_SAR.3.1": 1,
"FAU_STG.1": 7,
"FAU_STG.1.1": 1,
"FAU_STG.1.2": 1,
"FAU_STG.3": 6,
"FAU_STG.3.1": 1
},
"FDP": {
"FDP_ACC.1": 10,
"FDP_ACC.1.1": 1,
"FDP_ACF.1": 8,
"FDP_ACF.1.1": 1,
"FDP_ACF.1.2": 1,
"FDP_ACF.1.3": 1,
"FDP_ACF.1.4": 1,
"FDP_ICF.1": 1,
"FDP_IFC.1": 9,
"FDP_IFC.1.1": 1,
"FDP_IFF.1": 8,
"FDP_IFF.1.1": 1,
"FDP_IFF.1.2": 1,
"FDP_IFF.1.3": 1,
"FDP_IFF.1.4": 1,
"FDP_IFF.1.5": 1
},
"FIA": {
"FIA_AFL.1": 6,
"FIA_AFL.1.1": 1,
"FIA_AFL.1.2": 1,
"FIA_ATD.1": 9,
"FIA_ATD.1.1": 1,
"FIA_UAU.1": 7,
"FIA_UAU.1.1": 1,
"FIA_UAU.1.2": 1,
"FIA_UAU.5": 6,
"FIA_UAU.5.1": 1,
"FIA_UAU.5.2": 1,
"FIA_UID.1": 12,
"FIA_UID.1.1": 1,
"FIA_UID.1.2": 1
},
"FMT": {
"FMT_MOF.1": 9,
"FMT_MOF.1.1": 1,
"FMT_MSA": 36,
"FMT_MSA.1": 4,
"FMT_MSA.3": 6,
"FMT_SMF.1": 9,
"FMT_SMF.1.1": 1,
"FMT_SMR.1": 21,
"FMT_SMR.1.1": 1,
"FMT_SMR.1.2": 1
},
"FPT": {
"FPT_STM.1": 1
},
"FTA": {
"FTA_SSL.3": 9,
"FTA_TSE.1": 9,
"FTA_TSE.1.1": 1
},
"FTP": {
"FTP_TRP": 8,
"FTP_TRP.1": 3
}
},
"certification_process": {},
"cipher_mode": {
"GCM": {
"GCM": 1
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"IKE": {
"IKE": 1
},
"SSH": {
"SSH": 32,
"SSHv2": 4
},
"VPN": {
"VPN": 1
}
},
"crypto_scheme": {
"KEX": {
"Key Exchange": 1,
"Key exchange": 1
}
},
"device_model": {},
"ecc_curve": {},
"eval_facility": {
"BrightSight": {
"Brightsight": 1
}
},
"hash_function": {
"SHA": {
"SHA2": {
"SHA-2": 1,
"SHA-256": 1,
"SHA-512": 1
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 180-4": 1,
"FIPS 186-4": 1,
"FIPS 197": 1,
"FIPS 198-1": 1,
"FIPS PUB 180-4": 1,
"FIPS PUB 186-4": 1,
"FIPS PUB 197": 1,
"FIPS PUB 198-1": 1
},
"NIST": {
"NIST SP 800-38A": 1,
"NIST SP 800-38D": 1,
"NIST SP 800-56A": 1
},
"PKCS": {
"PKCS #1": 1,
"PKCS#1": 1,
"PKCS#3": 1
},
"RFC": {
"RFC 2104": 2,
"RFC 3447": 1,
"RFC 3526": 2,
"RFC 4251": 2,
"RFC 4252": 4,
"RFC 4253": 2,
"RFC 4254": 2,
"RFC 5647": 2,
"RFC 6668": 2,
"RFC 8332": 2,
"RFC4344": 2,
"RFC8332": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 4
}
},
"constructions": {
"MAC": {
"HMAC": 2
}
}
},
"technical_report_id": {},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {
"Huawei": {
"Huawei": 8,
"Huawei Technologies Co": 6
}
},
"vulnerability": {}
},
"st_metadata": {
"/Author": "Administrator",
"/CreationDate": "D:20211217011553+08\u002700\u0027",
"/Creator": "Microsoft\u00ae Word 2019",
"/ModDate": "D:20211217011553+08\u002700\u0027",
"/Producer": "Microsoft\u00ae Word 2019",
"/Title": "HUAWEI MA5800\u0026MA5800C Series Software Security Target",
"pdf_file_size_bytes": 918710,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"http://www.huawei.com/"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 45
}
},
"protection_profile_links": {
"_type": "Set",
"elements": []
},
"report_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/NSCIB-CC-0351844-CR-1.0.pdf",
"scheme": "NL",
"security_level": {
"_type": "Set",
"elements": [
"EAL4+",
"ALC_FLR.2"
]
},
"st_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/NSCIB-CC-0351844-ST.pdf",
"state": {
"_type": "sec_certs.sample.cc_eucc_common.InternalState",
"cert": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "12d8021bc39fd972d9d0e030bcb97f0cb4def14c128c0fc9a62caaba84e8f2e0",
"source_hash": "dc005988f29edb40717b83aaee41610acfc4900e8a7812dfb2914d298828e93e",
"txt_hash": "58045e30dab6d478dc73a4388f56215061df02bbc57164b3034c4764bec88cdf"
},
"report": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "d7b83c0d7e0c94f2fb18dfaae8969ed65a24c09afbae837cb9628f3f8318b00d",
"source_hash": "5ffd7b3cfcafff0585a93d7616fd6e7e5ec9fc16a5411e8d4d849520bb06f9f9",
"txt_hash": "2a1d0fe9279dd9cbbf22522afdedd73cec7eaed595622300cb6b7debd516818c"
},
"st": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "69e2775911d2f1d25976c9935aa124baaaaad17d0260fd167c3aae214a722a7e",
"source_hash": "a88d4acd26cd1a929ee4dd9168abee207b71d48ca13052f1c35aa47a275fe096",
"txt_hash": "20b062aa47177547d3b35d4d2a473a54c160c96bd3dd220511ee827568b96366"
}
},
"status": "active"
}